This document provides access to the detailed system requirements information on the supported releases of ONEWEB.

The following table shows the detailed system requirements information for the specified release and operating system for ONEWEB.


Operating System

AIX

Prerequisite

Version

Operating System Minimum

Bitness*

Product Minimum

AIX 6.1

TL4

POWER System - Big Endian

32, 64-Exploit

4.0.0.11

AIX 7.1

Base

POWER System - Big Endian

32, 64-Exploit

4.0.0.11


Windows

Prerequisite

Version

Operating System Minimum

Bitness*

Product Minimum

Windows 7 Enterprise

Base

x86-32

32

4.0.0.11

Windows 7 Enterprise

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows 7 Professional

Base

x86-32

32

4.0.0.11

Windows 7 Professional

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows 7 Ultimate

Base

x86-32

32

4.0.0.11

Windows 7 Ultimate

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2008 Datacenter Edition

Base

x86-32

32

4.0.0.11

Windows Server 2008 Datacenter Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2008 R2 Datacenter Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2008 Enterprise Edition

Base

x86-32

32

4.0.0.11

Windows Server 2008 Enterprise Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2008 R2 Enterprise Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2008 Standard Edition

Base

x86-32

32

4.0.0.11

Windows Server 2008 Standard Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2008 R2 Standard Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2012 Datacenter Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2012 R2 Datacenter Edition

Base

x86-64

64-Exploit

4.0.0.11

Windows Server 2012 Essentials Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2012 R2 Essentials Edition

Base

x86-64

64-Exploit

4.0.0.11

Windows Server 2012 Foundation Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2012 Standard Edition

Base

x86-64

32, 64-Exploit

4.0.0.11

Windows Server 2012 R2 Standard Edition

Base

x86-64

64-Exploit

4.0.0.11


Linux

Prerequisite

Version

Operating System Minimum

Bitness*

Product Minimum

Red Hat Enterprise Linux (RHEL) 5 Advanced Platform

5.6

IBM z Systems

64-Exploit

4.0.0.11

Red Hat Enterprise Linux (RHEL) 5 Advanced Platform

5.6

POWER System - Big Endian

64-Exploit

4.0.0.11

Red Hat Enterprise Linux (RHEL) 5 Advanced Platform

5.6

x86-32

32

4.0.0.11

Red Hat Enterprise Linux (RHEL) 5 Advanced Platform

5.6

x86-64

32, 64-Exploit

4.0.0.11

Red Hat Enterprise Linux (RHEL) 5 Desktop editions

5.6

x86-32

32

4.0.0.11

Red Hat Enterprise Linux (RHEL) 5 Desktop editions

5.6

x86-64

32, 64-Exploit

4.0.0.11

Red Hat Enterprise Linux (RHEL) Server 6

Base

IBM z Systems

64-Exploit

4.0.0.11

Red Hat Enterprise Linux (RHEL) Server 6

Base

POWER System - Big Endian

64-Exploit

4.0.0.11

Red Hat Enterprise Linux (RHEL) Server 6

Base

x86-32

32

4.0.0.11

Red Hat Enterprise Linux (RHEL) Server 6

Base

x86-64

32, 64-Exploit

4.0.0.11

SUSE Linux Enterprise Server (SLES) 10

Base

IBM z Systems

64-Exploit

4.0.0.11

SUSE Linux Enterprise Server (SLES) 11

Base

IBM z Systems

64-Exploit

4.0.0.11

SUSE Linux Enterprise Server (SLES) 10

Base

POWER System - Big Endian

64-Exploit

4.0.0.11

SUSE Linux Enterprise Server (SLES) 11

Base

POWER System - Big Endian

64-Exploit

4.0.0.11

SUSE Linux Enterprise Server (SLES) 10

Base

x86-32

32

4.0.0.11

SUSE Linux Enterprise Server (SLES) 11

Base

x86-32

32

4.0.0.11

SUSE Linux Enterprise Server (SLES) 10

Base

x86-64

32, 64-Exploit

4.0.0.11

SUSE Linux Enterprise Server (SLES) 11

Base

x86-64

32, 64-Exploit

4.0.0.11

Ubuntu 14.04 LTS

Base

POWER System - Little Endian

64-Exploit

4.0.0.11

Ubuntu 14.04 LTS

Base

x86-64

64-Tolerate

4.0.0.11


Application Server Prerequisites

Prerequisite

Version

Prerequisite Minimum

Product Minimum

JBoss EAP

5.1 and future fix packs

5.1

4.0.0.11.


6.1 and future fix packs

6.1

4.0.0.11.

WildFly

10.0.0.1 and future fix packs

10.0.0.1

4.0.0.11.


11.0.0.0 and future fix packs

11.0.0.0

4.0.0.11.

WebSphere Application Server

8

8.0.0.5

4.0.0.11.


8.5

8.5.0.2

4.0.0.11.


8.5.5 and future fix packs

8.5.5

4.0.0.11.

WebSphere Application Server Network Deployment

8

8.0.0.5

4.0.0.11.


8.5

8.5.0.2

4.0.0.11.


8.5.5 and future fix packs

8.5.5

4.0.0.11.

Oracle WebLogic Server 12cR1

(12.1.1) and future fix packs

(12.1.1)

available on next version

Oracle/BEA WebLogic Server

10.3

(10.3.6)

available on next version

WebSphere Application Server Liberty Core

8.5.5

8.5.5.4

available on next version


Databases Prerequisites

Prerequisite

Version

Operating System Minimum

Product Minimum

DB2 Enterprise Server Edition

9.5 and future fix packs

9.5

4.0.0.11


9.7

9.7.0.6

4.0.0.11


10.1 and future fix packs

10.1

4.0.0.11


10.5 and future fix packs

10.5

4.0.0.11

DB2 Workgroup Server Edition

9.5 and future fix packs

9.5

4.0.0.11


9.7

9.7.0.6

4.0.0.11


10.1 and future fix packs

10.1

4.0.0.11


10.5 and future fix packs

10.5

4.0.0.11

Microsoft SQL Server

2008 and future fix packs

2008

4.0.0.11


2012 and future fix packs

2012

4.0.0.11

MySQL

5.5 and future fix packs

5.5

4.0.0.11

Oracle Database 10g Enterprise Edition

Release 2 and future fix packs

Release 2

4.0.0.11

Oracle Database 10g Standard Edition

Release 2 and future fix packs

Release 2

4.0.0.11

Oracle Database 11g Enterprise Edition

Release 2 and future fix packs

Release 2

4.0.0.11

Oracle Database 11g Standard Edition

Release 2 and future fix packs

Release 2

4.0.0.11

Oracle Database 12c Release 1

(12.1.0.0.0) Standard Edition

(12.1.0.1.0) Standard Edition

4.0.0.11


(12.1.0.0.0) Enterprise Edition

(12.1.0.1.0) Enterprise Edition

4.0.0.11

PostgreSQL

9.1

9.1.2

4.0.0.11

MariaDB

10.0 and future fix packs

10

4.0.0.11

Tibero

6.0 and future fix packs

6

4.0.0.11


Java

Prerequisite

Version

Operating System Minimum

Product Minimum

IBM Runtime Environment, Java Technology Edition

6.0 and future fix packs

6

4.0.0.11


7.0 and future fix packs

7

4.0.0.11


7.1 and future fix packs

7.1

4.0.0.11

Oracle Java SDK/JRE/JDK

7.0/1.7 and future fix packs

7.0/1.7

4.0.0.11


8/1.8 and future fix packs

8.0/1.8

4.0.0.11

Sun Java SDK/JRE/JDK

6.0/1.6 and future fix packs

6.0/1.6

4.0.0.11


Web Browsers

Prerequisite

Version

Operating System Minimum

Product Minimum

Google Chrome

35 and future fix packs

35

4.0.0.11

Microsoft Internet Explorer

11 and future fix packs

11

4.0.0.11

Mozilla Firefox ESR

24 and future fix packs

24

4.0.0.11